import javax.microedition.lcdui.*;

public class Lib_argb
{
    public static int getwidth = 176;
    public static int getheight = 132;
    public static int[] display = new int[getwidth*getheight];

    public static int get_argb (int cr, int cg, int cb)
	{
      	return (0xFF000000 | cr << 16 | cg << 8 | cb);
	}

	public static void set_pixel(int argb_color, int x, int y)
	{
      	display[x+(y*getwidth)]=argb_color;
	}

	public static int get_pixel(int x, int y)
	{
      	return display[x+(y*getwidth)];
	}

	public static Image argb_to_image()
	{
        return Image.createRGBImage(display, getwidth, getheight, false);
	}

}